Subject: [PATCH] gnu: samba: Update to 4.12.7 [security fixes].
From: Pierre Langlois <[email-masked]>
To: Guix-patches <[email-masked]>
Date: Mon, 21 Sep 2020 20:02:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

I was just looking into fixing a Samba build issue for AArch64 (another
patch incoming :-) ). But noticed the package was out-of-date and there
were multiple CVEs fixes since then.

OK to commit?

I suppose this is trivial enough that I should be able to just push this
without asking first, right? I wasn't yet feeling confident enough with
my powers to do that just yet :-).

Thanks,
Pierre

From 8c61bd537da8f10c83e1e8e5718fbc2d3d874d1a Mon Sep 17 00:00:00 2001
From: Pierre Langlois <[email-masked]>
Date: Mon, 21 Sep 2020 19:50:08 +0100
Subject: [PATCH] gnu: samba: Update to 4.12.7 [security fixes].

Fixes CVE-2020-1472 with 4.12.7.
Fixes CVE-2020-10730, CVE-2020-10745, CVE-2020-10760 and CVE-2020-14303
with 4.12.4.

* gnu/packages/samba.org (samba): Update to 4.12.7.
---
 gnu/packages/samba.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/samba.scm b/gnu/packages/samba.scm
index 84e389340b..c04426c49c 100644
--- a/gnu/packages/samba.scm
+++ b/gnu/packages/samba.scm
@@ -8,6 +8,7 @@
 ;;; Copyright © 2018, 2019, 2020 Tobias Geerinckx-Rice <[email-masked]>
 ;;; Copyright © 2018 Ricardo Wurmus <[email-masked]>
 ;;; Copyright © 2019 Rutger Helling <[email-masked]>
+;;; Copyright © 2020 Pierre Langlois <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -173,14 +174,14 @@ external dependencies.")
 (define-public samba
   (package
     (name "samba")
-    (version "4.12.3")
+    (version "4.12.7")
     (source
      (origin
        (method url-fetch)
        (uri (string-append "https://download.samba.org/pub/samba/stable/"
                            "samba-" version ".tar.gz"))
        (sha256
-        (base32 "09w7aap1cjc41ayhaksm1igc7p7gl40fad4a1l6q4ds9a2jbrb9z"))
+        (base32 "1lkgih0vrarf5zy6chspkwarqdylzwr63nxr3qjkpazrs86nlm9h"))
        (modules '((guix build utils)))
        (snippet
         '(begin
-- 
2.28.0